﻿using RPG.GameCore.Excel.Attributes;

namespace RPG.GameCore.Excel;

[ExcelTable("CocoonExcelTable.json", ExcelType.Cocoon)]
public class CocoonRow : ExcelRow
{
    public override uint Id => ID * 10 + WorldLevel;

    public uint ID { get; set; } // 0x10
    public uint WorldLevel { get; set; } // 0x14
    public uint PropID { get; set; } // 0x18
    public uint MappingInfoID { get; set; } // 0x1C
    public uint StageID { get; set; } // 0x20
    public uint[] StageIDList { get; set; } = []; // 0x28
    public uint[] DropList { get; set; } = []; // 0x30
    public uint StaminaCost { get; set; } // 0x38
}
